k0rdent AI Docs

Retrieve credential details

Visibility: public · internal ( OpenAPI Custom Extension: x-visibility )

Retrieve metadata for a single credential. The client_secret is never included in this response.

Only tenant administrators can access this endpoint. Non-admin callers receive 404 to prevent resource enumeration.

GET
/v1/regions/global/iam/service-accounts/{serviceAccountId}/credentials/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using OAuth2/OIDC tokens

In: header

Path Parameters

serviceAccountId*string

Service account resource identifier.

id*string

Credential resource identifier.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.k0rdent.ai/v1/regions/global/iam/service-accounts/string/credentials/string"
{
  "selfLink": "/v1/iam/service-accounts/sa-pipeline-prod/credentials/cred-001",
  "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
  "id": "cred-001",
  "serviceAccountId": "sa-pipeline-prod",
  "status": "active",
  "expiresAt": "2019-08-24T14:15:22Z",
  "createdBy": "user-admin-001",
  "createdAt": "2019-08-24T14:15:22Z",
  "lastUsedAt": "2019-08-24T14:15:22Z",
  "lastUsedIp": "203.0.113.42"
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

How is this guide?

On this page

No Headings